"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-312/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389A80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389B20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389BC0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389C60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389D00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389DA0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389E40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389EE0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002B072389F80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A020>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A0C0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A160>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A200>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A2A0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A340>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A3E0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A480>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A520>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A5C0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A660>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A700>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A7A0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A840>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A8E0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238A980>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238AA20>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238AAC0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238AB60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238AC00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238ACA0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238AD40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238ADE0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238AE80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238AF20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238AFC0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B060>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B100>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B1A0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B240>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B2E0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B380>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B420>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B4C0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B560>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B600>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B6A0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B740>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B7E0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B880>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B920>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238B9C0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BA60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BB00>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BBA0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BC40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BCE0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BD80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BE20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BEC0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B07238BF60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC040>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC0E0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC180>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC220>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC2C0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC360>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC400>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC4A0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC540>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC5E0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC680>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC720>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC7C0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC860>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC900>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723AC9A0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACA40>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACAE0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACB80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACC20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACD60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACCC0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACE00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACEA0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000002B0723ACF40>)]
name: str = 'fr_HOCCN'
